[arch-commits] Commit in xf86-video-nouveau/trunk (2 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jan 17 12:51:45 EST 2010


    Date: Sunday, January 17, 2010 @ 12:51:45
  Author: andyrtr
Revision: 63500

prepare new snapshot; will require new libdrm functions

Added:
  xf86-video-nouveau/trunk/xf86-video-nouveau.install
Modified:
  xf86-video-nouveau/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   13 +++++++------
 xf86-video-nouveau.install |    8 ++++++++
 2 files changed, 15 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-17 17:37:10 UTC (rev 63499)
+++ PKGBUILD	2010-01-17 17:51:45 UTC (rev 63500)
@@ -3,9 +3,9 @@
 # Contributor: buddabrod <buddabrod at gmail.com>
 
 pkgname=xf86-video-nouveau
-_gitdate=20091221
-pkgver=0.0.10_git${_gitdate} # see configure.ac
-pkgrel=2
+_gitdate=20100117
+pkgver=0.0.15_git${_gitdate} # see configure.ac
+pkgrel=1
 pkgdesc="Open Source 3D acceleration driver for nVidia cards (experimental)"
 arch=('i686' 'x86_64')
 url="http://nouveau.freedesktop.org/wiki/"
@@ -15,19 +15,20 @@
 makedepends=('pkgconfig' 'xorg-server>=1.7.3.901' 'mesa>=7.6' 'glproto>=1.4.10' 'xorg-util-macros' 'xf86driproto' 'autoconf')
 conflicts=('xorg-server<1.7.0')
 options=('!libtool') # 'force'
+install=${pkgname}.install
 source=(ftp://ftp.archlinux.org/other/$pkgname/xf86-video-nouveau-${_gitdate}.tar.bz2)
-md5sums=('1362d5d5e858139f57477e6b89a0b0c0')
+md5sums=('ce2d3f81f7ba41460e04ec02a6fd0cb0')
 
 build() {
   # get git code
 #  cd ${srcdir}
 #  git clone -v git://anongit.freedesktop.org/nouveau/xf86-video-nouveau
 #  cd xf86-video-nouveau
-#  git archive --prefix=xf86-video-nouveau-${_gitdate}/ --format=tar HEAD | bzip2 > ../../xf86-video-nouveau-${_gitdate}.tar.bz2
+#  git archive --prefix=xf86-video-nouveau-${_gitdate}/ --format=tar HEAD | bzip2 > $SRCDEST/xf86-video-nouveau-${_gitdate}.tar.bz2
 #  return 1
 
   cd ${srcdir}/xf86-video-nouveau-${_gitdate}
-  ./autogen.sh --prefix=/usr --with-kms=yes || return 1
+  ./autogen.sh --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
 }

Added: xf86-video-nouveau.install
===================================================================
--- xf86-video-nouveau.install	                        (rev 0)
+++ xf86-video-nouveau.install	2010-01-17 17:51:45 UTC (rev 63500)
@@ -0,0 +1,8 @@
+post_upgrade() {
+  if [ "`vercmp $2 0.0.15_20091220`" -lt 0 ]; then
+    cat << _EOF
+  ==> ATTENTION: Usermode support has been dropped
+  ==> make sure you use KernelModeSetting (KMS)
+  ==> see http://wiki.archlinux.org/index.php/Nouveau#KMS for more
+_EOF
+}



More information about the arch-commits mailing list